=== debian/rules ===
#!/usr/bin/make -f


TARGETS := binaries

ifeq "" "$(filter nocheck,$(DEB_BUILD_PROFILES))"
#
else
TARGETS += SHELLCHECK=: MANDOC=:
endif

ifeq "" "$(filter nodoc,$(DEB_BUILD_PROFILES))"
TARGETS += manpages
endif

ifeq "" "$(filter pkg.ratrun.noloc,$(DEB_BUILD_PROFILES))"
TARGETS += locales
endif

override_dh_auto_build:
	$(MAKE) $(TARGETS) NOLOCREGEN='@#' \
	  RATRUN_VERSION='$(shell IFS="$$IFS()" read -r _ v _ < debian/changelog && echo "$$v")' \
	  RATRUN_DATE='$(shell awk '/^ -- / {sub(/^ -- .*>/, ""); sub(/^0/, "", $$2); print $$3 " " $$2 ", " $$4; exit}' debian/changelog | sed -E 's/Jan/&uary/;s/Feb/&ruary/;s/Mar/&ch/;s/Apr/&il/;s/Jun/&e/;s/Jul/&y/;s/Aug/&ust/;s/Sep/&tember/;s/Oct/&ober/;s/Nov|Dec/&ember/')'
# '

override_dh_install:
	@mkdir -p debian/ratrun/usr/share/doc/ratrun/ out/man out/locale
	dh_install
	cp ratrun debian/ratrun/usr/share/doc/ratrun/default

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
	dh_installdocs README.md


%:
	dh $@
