## ratrun 0a

=== debian/changelog ===
ratrun (0a-1) unstable; urgency=medium

  * New upstream version 0a
  * Add upstream NEWS

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 04 Nov 2022 15:12:02 +0100
