=== debian/control ===
Source: ratrun
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Standards-Version: 4.6.1
Homepage: https://sr.ht/~nabijaczleweli/ratrun
Bugs: https://todo.sr.ht/~nabijaczleweli/ratrun
Rules-Requires-Root: no
Vcs-Git: https://git.sr.ht/~nabijaczleweli/ratrun.deb
Vcs-Browser: https://git.sr.ht/~nabijaczleweli/ratrun.deb
Section: mail
Priority: optional
Build-Depends: debhelper,
               debhelper-compat (= 13),
               mandoc <!nocheck> <!nodoc>,
               shellcheck <!nocheck>,
               gettext <!pkg.ratrun.noloc>,

Package: ratrun
Architecture: all
Depends: mailutils | mailx, ${misc:Depends}
Recommends: gettext, cron-daemon
Tag: implemented-in::shell, interface::commandline, scope::application,
 use::timekeeping, office::project-management, works-with::calendar,
 works-with-format::plaintext, works-with-format::ical
Description: atrun(8) for the rat race (mail-based calendaring system)
 ratrun(8) sends calendar-style reminders to users;
 the events' trivial format makes it easy to write one by hand,
 but rat(1) can be used to schedule them conversationally,
 or iCalendar files can be copied to ~/.ratrun.
 .
 This package will additionally run ratrun(8) every
 10 minutes via cron by default.
