=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,11 @@
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.upstream
 
+ifeq "" "$(filter nodoc,$(DEB_BUILD_PROFILES))"
 override_dh_installdocs:
 	dh_installdocs README.md
+	cp debian/NEWS.upstream debian/ratrun/usr/share/doc/ratrun/NEWS
+endif
 
 
 %:
