## ratrun 1

=== debian/changelog ===
ratrun (1-2) unstable; urgency=medium

  * Don't compress /u/s/d/r/default, fixing UCF on upgrade

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 15 Jan 2023 20:14:32 +0100

ratrun (1-1) unstable; urgency=medium

  * New upstream version 1
  * Upstream now provides rerat, with equivalent driver semantics to ratrun

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 15 Jan 2023 19:43:35 +0100
