## ratrun 1b

=== debian/changelog ===
ratrun (1b-1) unstable; urgency=medium

  * New upstream version 1b
  * Merge the two cron jobs into one that runs both in strict sequence

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 16 Feb 2023 16:38:23 +0100
