=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Package: ratrun
 Architecture: all
-Depends: mailutils | mailx, ${misc:Depends}
+Depends: mailutils | mailx, ed, ${misc:Depends}
 Recommends: gettext, cron-daemon
 Tag: implemented-in::shell, interface::commandline, scope::application,
  use::timekeeping, office::project-management, works-with::calendar,
@@ -26,6 +26,7 @@
  the events' trivial format makes it easy to write one by hand,
  but rat(1) can be used to schedule them conversationally,
  or iCalendar files can be copied to ~/.ratrun.
+ rerat(8) can be used to make events periodic, or to archive them.
  .
- This package will additionally run ratrun(8) every
+ This package will additionally run ratrun(8) and rerat(8) every
  10 minutes via cron by default.
