=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,9 @@
 	dh_install
 	cp ratrun debian/ratrun/usr/share/doc/ratrun/default
 
+override_dh_compress:
+	dh_compress -Xdefault
+
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.upstream
