=== debian/watch ===
version=4
https://git.sr.ht/~nabijaczleweli/ratrun/refs .*/([0-9][0-9a-zA-Z]*)@ARCHIVE_EXT@
