## ratrun 1c

=== debian/changelog ===
ratrun (1c-1) unstable; urgency=medium

  * Import upstream signing key
  * d/u/metadata: add
  * New upstream version 1c (+ changelog & NEWS)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 05 Jun 2024 14:47:06 +0200
